Subject: Re: [PATCH net-next,v4] net: mana: Force full-page RX buffers via ethtool private flag

From: Jakub Kicinski <[email-masked]>
Date: Mon, 6 Apr 2026 10:51:36 -0700

On Sat, 4 Apr 2026 20:14:35 -0700 Dipayaan Roy wrote:
>   Function                        Fragment   Full-page   Delta
>   ─----------------------------   ─-------   ---------   -----
>   napi_pp_put_page                  3.93%      0.85%    +3.08%
>   page_pool_alloc_frag_netmem       1.93%         —     +1.93%
>   Total page_pool overhead          5.86%      0.85%    +5.01%

Thanks for the analysis, and presumably recycling the full page is
cheaper because page_pool_put_unrefed_netmem() hits the fastpath
because page_pool_napi_local() returns true?